<?php

final class SemiStructuredObjectTypeFerretEngine
  extends PhabricatorFerretEngine {

  public function getApplicationName() {
    return 'semistructured';
  }

  public function getScopeName() {
    return 'objecttype';
  }

  public function newSearchEngine() {
    return new SemiStructuredObjectTypeSearchEngine();
  }

}
